import { AfterViewInit, OnInit, OnDestroy, EventEmitter } from '@angular/core';
import { MatDialog } from '@angular/material';
import { Observable } from 'rxjs';
import { FileBrowserService } from './filebrowser.service';
import { FileInfo } from './filebrowser.service';
import { FileActionsHandler } from './fileactionshandler.interface';
import { FilesChangeEvent } from './fileschangeevent.class';
export declare class FileBrowserComponent implements OnInit, AfterViewInit, OnDestroy {
    private dialog;
    filebrowserservice: FileBrowserService;
    dropText: string;
    fileInfoFilter: (fileInfo: FileInfo) => boolean;
    fileActionsHandler: FileActionsHandler;
    fileschanges: EventEmitter<FilesChangeEvent>;
    fileUploadInput: any;
    showDropZone: boolean;
    draggingOverDropZone: boolean;
    uploadprogress: number;
    renameFile: FileInfo;
    newFileName: string;
    fileList: Observable<FileInfo[]>;
    constructor(dialog: MatDialog, filebrowserservice: FileBrowserService);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    listExistingFiles(): void;
    dragging(event: DragEvent): void;
    dragLeave(event: DragEvent): void;
    invalidDrop(event: DragEvent): void;
    hideDropZone(): void;
    dropFiles(event: any): void;
    onFilesSelected(event: any): void;
    attachFilesClicked(): void;
    deleteDir(file: FileInfo): void;
    openFile(file: FileInfo): void;
    deleteFile(file: FileInfo): void;
    uploadFiles(files: FileList): void;
    createFolder(): void;
    rename(file: FileInfo): void;
    changedir(file: FileInfo): void;
    /**
     *
     * @param indexfromcurrentpatharray (-1 = workdir root, otherwise 0 is first folder in current path array)
     */
    goToParent(indexfromcurrentpatharray: number): void;
    editFile(file: FileInfo): void;
    openTextEditor(file: FileInfo): void;
    ngOnDestroy(): void;
}
