import { BehaviorSubject, Observable } from 'rxjs';
import { OnDestroy } from '@angular/core';
export declare class FileInfo {
    name: string;
    fullpath: string;
    mode: number;
    size: number;
    atime: string;
    mtime: string;
    ctime: string;
    isDir: boolean;
}
export declare abstract class FileBrowserService implements OnDestroy {
    fileList: BehaviorSubject<FileInfo[]>;
    currentpath: BehaviorSubject<string[]>;
    abstract listendir(dir: string): Observable<FileInfo[]>;
    abstract mount(dir: string): Observable<any>;
    abstract changedir(name: string): Observable<any>;
    abstract uploadFile(file: File): Observable<any>;
    abstract readdir(path?: string): Observable<string[]> | Observable<FileInfo[]>;
    abstract rmdir(dirname: string): Observable<any>;
    abstract unlink(filename: string): Observable<any>;
    abstract mkdir(foldername: string): Observable<any>;
    abstract rename(oldpath: string, newpath: string): Observable<any>;
    abstract getDownloadObjectUrl(filename: string): Observable<string>;
    abstract ngOnDestroy(): void;
    abstract getTextFileContents(filename: string): Observable<string>;
    abstract saveTextFile(filename: string, content: string): Observable<any>;
    openFile(file: FileInfo): void;
}
